Skip to main content
POST
/
api
/
v1
/
clusters
/
hetzner
/
{cluster_id}
/
scale-workers
Scale Hetzner cluster workers
import requests

url = "https://platform.ankra.app/api/v1/clusters/hetzner/{cluster_id}/scale-workers"

payload = { "worker_count": 123 }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
{
  "previous_count": 123,
  "new_count": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

authorization
string | null

Path Parameters

cluster_id
string<uuid>
required

Body

application/json
worker_count
integer
required

Response

Workers scaled successfully

previous_count
integer
required
new_count
integer
required